Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.common
Interface IoServiceListener

All Superinterfaces:
  EventListener

    public interface IoServiceListener

extends EventListener

Something interested in being notified when the result of an `IoFuture` becomes available.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 12:19:00 +0900 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Method Summary
`void` | `serviceActivated(IoService service, SocketAddress serviceAddress, IoHandler handler, IoServiceConfig config)` Invoked when a new service is activated by an `IoService`.
`void` | `serviceDeactivated(IoService service, SocketAddress serviceAddress, IoHandler handler, IoServiceConfig config)` Invoked when a service is deactivated by an `IoService`.
`void` | `sessionCreated(IoSession session)` Invoked when a new session is created by an `IoService`.
`void` | `sessionDestroyed(IoSession session)` Invoked when a session is being destroyed by an `IoService`.

Method Detail

### serviceActivated

    void serviceActivated(IoService service,
                          SocketAddress serviceAddress,
                          IoHandler handler,
                          IoServiceConfig config)

  Invoked when a new service is activated by an `IoService`.

  Parameters:
    `service` - the `IoService`
    `serviceAddress` - the socket address of the `IoService` listens to manage sessions. If the service is an `IoAcceptor`, it is a bind address. If the service is an `IoConnector`, it is a remote address.
    `handler` - the `IoHandler` that serves the new service
    `config` - the `IoServiceConfig` of the new service

### serviceDeactivated

    void serviceDeactivated(IoService service,
                            SocketAddress serviceAddress,
                            IoHandler handler,
                            IoServiceConfig config)

  Invoked when a service is deactivated by an `IoService`.

  Parameters:
    `service` - the `IoService`
    `serviceAddress` - the socket address of the `IoService` listens to manage sessions. If the service is an `IoAcceptor`, it is a bind address. If the service is an `IoConnector`, it is a remote address.
    `handler` - the `IoHandler` that serves the service
    `config` - the `IoServiceConfig` of the service

### sessionCreated

    void sessionCreated(IoSession session)

  Invoked when a new session is created by an `IoService`.

  Parameters:
    `session` - the new session

### sessionDestroyed

    void sessionDestroyed(IoSession session)

  Invoked when a session is being destroyed by an `IoService`.

  Parameters:
    `session` - the session to be destroyed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.